
QGIS Application - Bug report #1531

Georeferencer GDAL crashes QGIS
Status: Closed

Priority: Low

Assignee: Maxim Dubinin

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11591

Description

The new Georeferencer GDAL plugin crashes QGIS when you try to reference a just created modified image a second time without

closing the plugin.

1. Start Georeferencer

 2. Load image

 3. add point

 4. select polynominal 2

 5. create and load layer

It works fine. When I repeat sequence 3.-5. without closing georeferencer QGIS crashes.

History

#1 - 2009-02-06 10:35 AM - Maxim Dubinin

I'm not sure understood it completely.

Do you mean we should check if the resulting raster is already loaded in the Legend?

#2 - 2009-07-13 03:31 AM - Giovanni Manghi

I'm not able to reproduce the problem, also probably because I'm not understanding very well the description.

If you select "polynomial 2" you need at least 6 points. If you select less, qgis warns you and do not let you make the transformation. It takes a while to

produce the transformed image but eventually it makes it.

I don't see any particular problem when I open a new image to georeference or if I open the same (qgis warns you that a world file already exist).

Please give further feedback.

#3 - 2009-07-19 01:28 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

Closing this ticket, reopen if necessary.
